<header>
  <mat-toolbar color="primary">
    <a [routerLink]="['/']">
      <mat-icon>music_note</mat-icon>
      <span>Music</span>
    </a>

    <div [class]="isLoggedIn() ? '' : 'right'">
      <ng-container *ngIf="!isLoggedIn(); else user">
        <button mat-flat-button [routerLink]="['/register']">
          <span translate>header.register</span>
        </button>

        <button mat-flat-button [routerLink]="['/login']">
          <span translate>header.login</span>
        </button>

        <button mat-icon-button [matMenuTriggerFor]="menu">
          <mat-icon class="person">person</mat-icon>
        </button>
      </ng-container>

      <ng-template #user>
        <button mat-icon-button [matMenuTriggerFor]="menu">
          <mat-icon class="person">account_circle</mat-icon>
        </button>
      </ng-template>

      <mat-menu #menu="matMenu">
        <app-select-country></app-select-country>
        <app-dark-mode></app-dark-mode>

        <ng-container *ngIf="isLoggedIn()">
          <button mat-menu-item (click)="logout()">
            <mat-icon>logout</mat-icon>
            <span translate>header.menu.logout</span>
          </button>
        </ng-container>
      </mat-menu>
    </div>
  </mat-toolbar>
</header>
